## zkg 2.0.7

=== requirements.txt ===
# Requirements for general zkg usage
GitPython
semantic_version
configparser
btest
# Requirements for development (e.g. building docs)
Sphinx
sphinxcontrib-napoleon
sphinx_rtd_theme

=== testing/Makefile ===
.PHONY: all
all: btest-installation-check
	@btest -j -f diag.log

.PHONY: btest-installation-check
btest-installation-check:
	@type btest > /dev/null 2>&1 || \
		{ \
		echo "btest was not located in PATH."; \
		echo "Install it and/or make sure it is in PATH."; \
		echo "E.g. you could use the following command to install it:"; \
		echo "\tpip install btest"; \
		echo ; \
		exit 1; \
		}

=== testing/packages/rot13/Makefile ===
#
# Convenience Makefile providing a few common top-level targets.
#

cmake_build_dir=build
arch=`uname -s | tr A-Z a-z`-`uname -m`

all: build-it

build-it:
	@test -e $(cmake_build_dir)/config.status || ./configure
	-@test -e $(cmake_build_dir)/CMakeCache.txt && \
      test $(cmake_build_dir)/CMakeCache.txt -ot `cat $(cmake_build_dir)/CMakeCache.txt | grep ZEEK_DIST | cut -d '=' -f 2`/build/CMakeCache.txt && \
      echo Updating stale CMake cache && \
      touch $(cmake_build_dir)/CMakeCache.txt

	( cd $(cmake_build_dir) && make )

install:
	( cd $(cmake_build_dir) && make install )

clean:
	( cd $(cmake_build_dir) && make clean )

distclean:
	rm -rf $(cmake_build_dir)

test:
	make -C tests

## zkg 2.0.6

=== debian/changelog ===
zkg (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6
  * Rename all-the-things from "bro-pkg" to "zkg"
  * Add Rules-Requires-Root to d/control

 -- Robert Haist <rhaist@mailbox.org>  Tue, 24 Sep 2019 11:46:56 +0200

bro-pkg (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1

 -- Robert Haist <rhaist@mailbox.org>  Thu, 02 May 2019 11:10:05 +0200

bro-pkg (1.7.0-1) unstable; urgency=medium

  * [ebe98d3] New upstream version 1.7.0

 -- Robert Haist <rhaist@mailbox.org>  Mon, 22 Apr 2019 14:46:01 +0200

bro-pkg (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Robert Haist <rhaist@mailbox.org>  Mon, 08 Apr 2019 14:18:01 +0200

bro-pkg (1.5.6-1) unstable; urgency=medium

  * New upstream version 1.5.6

 -- Robert Haist <rhaist@mailbox.org>  Thu, 28 Mar 2019 17:44:00 +0100

bro-pkg (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Remove patch for man page bug fixes (fixed upstream)

 -- Robert Haist <rhaist@mailbox.org>  Mon, 14 Jan 2019 15:48:20 +0100

bro-pkg (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Refresh patch for new version
  * d/control bump standards version

 -- Robert Haist <rhaist@mailbox.org>  Fri, 04 Jan 2019 21:08:12 +0100

bro-pkg (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/control bump standards version

 -- Robert Haist <rhaist@mailbox.org>  Fri, 14 Dec 2018 22:20:12 +0100

bro-pkg (1.4.2-1) unstable; urgency=medium

  * d/watch workaround for #906252
  * d/control bump standards version
  * Refresh manpage patch
  * New upstream version 1.4.2

 -- Robert Haist <rhaist@mailbox.org>  Thu, 16 Aug 2018 22:35:52 +0200

bro-pkg (1.3.12-1) unstable; urgency=medium

  * New upstream version 1.3.12

 -- Robert Haist <rhaist@mailbox.org>  Sun, 24 Jun 2018 18:03:28 +0200

bro-pkg (1.3.11-1) unstable; urgency=medium

  * New upstream version 1.3.11

 -- Robert Haist <rhaist@mailbox.org>  Wed, 30 May 2018 19:03:29 +0200

bro-pkg (1.3.10-1) unstable; urgency=medium

  * New upstream version 1.3.10
  * d/rules fix debian file-contains-trailing-whitespace

 -- Robert Haist <rhaist@mailbox.org>  Mon, 28 May 2018 21:15:18 +0200

bro-pkg (1.3.8-1) unstable; urgency=medium

  * d/control fix lintian ancient-python-version-field
  * New upstream version 1.3.8

 -- Robert Haist <rhaist@mailbox.org>  Mon, 14 May 2018 20:38:02 +0200

bro-pkg (1.3.6-1) unstable; urgency=medium

  * d/control change vcs to salsa
  * d/control bump standards version
  * New upstream version 1.3.6

 -- Robert Haist <rhaist@mailbox.org>  Wed, 02 May 2018 13:29:55 +0200

bro-pkg (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5

 -- Robert Haist <rhaist@mailbox.org>  Wed, 04 Apr 2018 22:22:42 +0200

bro-pkg (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4

 -- Robert Haist <rhaist@mailbox.org>  Tue, 13 Mar 2018 22:33:54 +0100

bro-pkg (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * d/rules fix lintian debian-rules-is-dh_make-template
  * Bump debhelper to compat level 11

 -- Robert Haist <rhaist@mailbox.org>  Tue, 20 Feb 2018 22:33:52 +0100

bro-pkg (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * d/control bump standards version to 4.1.3

 -- Robert Haist <rhaist@mailbox.org>  Fri, 02 Feb 2018 11:15:38 +0100

bro-pkg (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Robert Haist <rhaist@mailbox.org>  Sun, 10 Dec 2017 14:42:44 +0100

bro-pkg (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6

 -- Robert Haist <rhaist@mailbox.org>  Mon, 27 Nov 2017 22:09:46 +0100

bro-pkg (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Robert Haist <rhaist@mailbox.org>  Tue, 17 Oct 2017 08:59:37 +0200

bro-pkg (1.2.1-1) unstable; urgency=medium

  * Disable debci
  * Bump standards version to 4.1.1
  * New upstream version 1.2.1

 -- Robert Haist <rhaist@mailbox.org>  Sat, 14 Oct 2017 19:04:31 +0200

bro-pkg (1.2-1) unstable; urgency=medium

  [ Robert Haist ]
  * New upstream version 1.2
  * Bump standards version to 4.1.0
  * Remove patch for import handling (merged upstream)
  * Add new patch for manpage warnings in lintian

  [ Sascha Steinbiss ]
  * Adjust Files: path in d/copyright.

 -- Robert Haist <rhaist@mailbox.org>  Fri, 29 Sep 2017 20:24:02 +0200

bro-pkg (1.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #874704)
  * Add patch: python3-import-of-configparser

 -- Robert Haist <rhaist@mailbox.org>  Sat, 09 Sep 2017 13:38:28 +0200

=== debian/control ===
Source: zkg
Section: net
Priority: optional
Maintainer: Robert Haist <rhaist@mailbox.org>
Build-Depends: btest,
               debhelper (>= 12),
               dh-python,
               python3-all,
               python3-git,
               python3-semantic-version,
               python3-setuptools
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://docs.zeek.org/projects/package-manager
Vcs-Git: https://salsa.debian.org/bro-team/zkg.git
Vcs-Browser: https://salsa.debian.org/bro-team/zkg

Package: zkg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Conflicts: bro-pkg
Replaces: bro-pkg
Suggests: zeek
Description: Zeek Package Manager
 The Zeek Package Manager makes it easy for Zeek users to install and
 manage third party scripts as well as plugins for Zeek and ZeekControl.
 .
 This package installs the zkg executable and support files.

## zkg 2.0.7

=== debian/changelog ===
zkg (2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
  * d/control bump standards version

 -- Robert Haist <rhaist@mailbox.org>  Tue, 12 Nov 2019 09:33:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-git,
                python3-semantic-version,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://docs.zeek.org/projects/package-manager
 Vcs-Git: https://salsa.debian.org/bro-team/zkg.git

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/package-manager-$1\.tar\.gz/ \
    https://github.com/zeek/package-manager/releases .*/v?(\d\S+)\.tar\.gz

## zkg 2.1.2

=== debian/changelog ===
zkg (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2

 -- Robert Haist <rha@debian.org>  Wed, 15 Apr 2020 17:45:58 +0200

zkg (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Switch to debhelper-compat

 -- Robert Haist <rha@debian.org>  Mon, 30 Mar 2020 10:11:13 +0200

## zkg 2.2.0

=== debian/changelog ===
zkg (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Robert Haist <rha@debian.org>  Sat, 18 Jul 2020 16:57:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: zkg
 Section: net
 Priority: optional
-Maintainer: Robert Haist <rhaist@mailbox.org>
+Maintainer: Robert Haist <rha@debian.org>
 Build-Depends: btest,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-git,
                python3-semantic-version,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://docs.zeek.org/projects/package-manager
 Vcs-Git: https://salsa.debian.org/bro-team/zkg.git

## zkg 2.4.0

=== debian/changelog ===
zkg (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Robert Haist <rha@debian.org>  Mon, 26 Oct 2020 10:12:57 +0100

zkg (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Robert Haist <rha@debian.org>  Mon, 28 Sep 2020 13:40:35 +0200

## zkg 2.4.2

=== Makefile ===
VERSION=`cat VERSION`

.PHONY: all
all:

.PHONY: doc
doc: man html

.PHONY: man
man:
	(cd doc && make man && mkdir -p man && cp _build/man/zkg.1 man)

.PHONY: html
html:
	(cd doc && make html)

.PHONY: livehtml
livehtml:
	(cd doc && make livehtml)

.PHONY: test
test:
	@( cd testing && make )

.PHONY: dist
dist:
	ZKG_PYPI_DIST=yes python setup.py bdist_wheel
	ZKG_PYPI_DIST=yes ZKG_PYPI_DIST_LEGACY=yes python setup.py bdist_wheel

.PHONY: upload
upload: twine-check dist
	twine upload -u zeek dist/zkg-$(VERSION)-py2.py3-none-any.whl
	twine upload -u zeek dist/bro_pkg-$(VERSION)-py2.py3-none-any.whl

.PHONY: twine-check
twine-check:
	@type twine > /dev/null 2>&1 || \
		{ \
		echo "Uploading to PyPi requires 'twine' and it's not found in PATH."; \
		echo "Install it and/or make sure it is in PATH."; \
		echo "E.g. you could use the following command to install it:"; \
		echo "\tpip install twine"; \
		echo ; \
		exit 1; \
		}

## zkg 2.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(zkg)

set(orig_file ${CMAKE_CURRENT_SOURCE_DIR}/zkg)
set(configed_file ${CMAKE_CURRENT_BINARY_DIR}/zkg)
configure_file(${orig_file} ${configed_file} @ONLY)

# Install zkg
install(DIRECTORY DESTINATION bin)
install(PROGRAMS ${configed_file} DESTINATION bin)

if ( NOT PY_MOD_INSTALL_DIR )
    # This is not a Zeek-bundled install. Default to "home"-style install.
    set(PY_MOD_INSTALL_DIR lib/python)
endif ()

# Install the Python module tree
install(DIRECTORY DESTINATION ${PY_MOD_INSTALL_DIR})
install(DIRECTORY zeekpkg DESTINATION ${PY_MOD_INSTALL_DIR})

if ( NOT ZEEK_MAN_INSTALL_PATH )
    set(ZEEK_MAN_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/share/man)
endif ()

install(FILES doc/man/zkg.1 DESTINATION ${ZEEK_MAN_INSTALL_PATH}/man1)

message(
    "\n=====================|  ZKG Build Summary  |===================="
    "\n"
    "\nInstall prefix:      ${CMAKE_INSTALL_PREFIX}"
    "\nPython module path:  ${PY_MOD_INSTALL_DIR}"
    "\nConfig path:         ${ZEEK_ZKG_CONFIG_DIR}"
    "\nState path:          ${ZEEK_ZKG_STATE_DIR}"
    "\n"
    "\n================================================================\n"
)

## zkg 2.6.1

=== debian/changelog ===
zkg (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1

 -- Robert Haist <rha@debian.org>  Mon, 11 Jan 2021 14:28:54 +0100

zkg (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0

 -- Robert Haist <rha@debian.org>  Tue, 15 Dec 2020 09:21:51 +0100

zkg (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2

 -- Robert Haist <rha@debian.org>  Tue, 17 Nov 2020 18:09:07 +0100

## zkg 2.7.0

=== debian/changelog ===
zkg (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * d/control: Bump debhelper-compat
  * d/control: Bump standards version

 -- Robert Haist <rha@debian.org>  Sun, 31 Jan 2021 10:19:29 +0100

## zkg 2.7.1

=== debian/changelog ===
zkg (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1

 -- Robert Haist <rha@debian.org>  Mon, 08 Feb 2021 08:57:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Robert Haist <rha@debian.org>
 Build-Depends: btest,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-git,
                python3-semantic-version,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://docs.zeek.org/projects/package-manager
 Vcs-Git: https://salsa.debian.org/bro-team/zkg.git

## zkg 2.8.0

=== debian/changelog ===
zkg (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0

 -- Robert Haist <rha@debian.org>  Tue, 06 Apr 2021 11:41:42 +0200

## zkg 2.9.0

=== debian/changelog ===
zkg (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0

 -- Robert Haist <rha@debian.org>  Mon, 24 May 2021 20:33:41 +0200

## zkg 2.10.0

=== debian/changelog ===
zkg (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0

 -- Robert Haist <rha@debian.org>  Fri, 25 Jun 2021 09:56:21 +0200

## zkg 2.11.0

=== debian/changelog ===
zkg (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0

 -- Robert Haist <rha@debian.org>  Thu, 15 Jul 2021 12:43:44 +0200

## zkg 2.12.0

=== requirements.txt ===
# Requirements for general zkg usage
GitPython
semantic_version
btest
# Requirements for development (e.g. building docs)
Sphinx
sphinxcontrib-napoleon
sphinx_rtd_theme

=== testing/packages/rot13/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(Plugin)

include(ZeekPlugin)

zeek_plugin_begin(Demo Rot13)
zeek_plugin_cc(src/Plugin.cc)
zeek_plugin_bif(src/rot13.bif)
zeek_plugin_dist_files(README CHANGES COPYING VERSION)
zeek_plugin_end()

=== debian/changelog ===
zkg (2.12.0-1) unstable; urgency=medium

  * Update watch file
  * Bump standards version
  * New upstream version 2.12.0

 -- Robert Haist <rha@debian.org>  Thu, 04 Nov 2021 14:46:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-git,
                python3-semantic-version,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://docs.zeek.org/projects/package-manager
 Vcs-Git: https://salsa.debian.org/bro-team/zkg.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zkg

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_link:
	dh_link usr/share/man/man1/zkg.1 usr/share/man/man1/bro-pkg.1

## zkg 2.13.0

=== testing/packages/rot13/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
 
 project(Plugin)

=== debian/changelog ===
zkg (2.13.0-1) unstable; urgency=medium

  * New upstream version 2.13.0
  * Add d: upstream/metadata file

 -- Robert Haist <rha@debian.org>  Wed, 06 Jul 2022 14:31:17 +0200

## zkg 2.14.0

=== debian/changelog ===
zkg (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0

 -- Robert Haist <rha@debian.org>  Mon, 25 Sep 2023 18:19:14 +0200

## zkg 3.0.1

=== requirements.txt ===
# Requirements for general zkg usage
GitPython
semantic_version
btest
# Requirements for development (e.g. building docs)
Sphinx>=3.0
sphinx_rtd_theme

=== debian/changelog ===
zkg (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Robert Haist <rha@debian.org>  Mon, 25 Mar 2024 09:13:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-git,
                python3-semantic-version,
                python3-setuptools
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://docs.zeek.org/projects/package-manager
 Vcs-Git: https://salsa.debian.org/bro-team/zkg.git

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/package-manager-$1\.tar\.gz/ \
    https://github.com/zeek/package-manager/tags .*/v?(\d\S+)\.tar\.gz

## zkg 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 project(zkg)
 
+set(ZEEK_BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin)
 set(orig_file ${CMAKE_CURRENT_SOURCE_DIR}/zkg)
 set(configed_file ${CMAKE_CURRENT_BINARY_DIR}/zkg)
 configure_file(${orig_file} ${configed_file} @ONLY)

=== Makefile ===
--- 
+++ 
@@ -24,13 +24,11 @@
 
 .PHONY: dist
 dist:
-	ZKG_PYPI_DIST=yes python setup.py bdist_wheel
-	ZKG_PYPI_DIST=yes ZKG_PYPI_DIST_LEGACY=yes python setup.py bdist_wheel
+	python3 setup.py bdist_wheel
 
 .PHONY: upload
 upload: twine-check dist
 	twine upload -u zeek dist/zkg-$(VERSION)-py2.py3-none-any.whl
-	twine upload -u zeek dist/bro_pkg-$(VERSION)-py2.py3-none-any.whl
 
 .PHONY: twine-check
 twine-check:
@@ -39,7 +37,7 @@
 		echo "Uploading to PyPi requires 'twine' and it's not found in PATH."; \
 		echo "Install it and/or make sure it is in PATH."; \
 		echo "E.g. you could use the following command to install it:"; \
-		echo "\tpip install twine"; \
+		echo "\tpip3 install twine"; \
 		echo ; \
 		exit 1; \
 		}

=== requirements.txt ===
# NOTE: Dependencies should go into `pyproject.toml`. We keep this file to e.g., support RTD.

# Requirements for general zkg usage
GitPython>=3.1.43
semantic_version>=2.10.0
# Technically not a zkg dependency, but typically expected by users to be present.
btest>=1.1
# Requirements for development (e.g. building docs)
Sphinx>=7.2.6
sphinx_rtd_theme>=2.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	touch $(BUILDDIR)/html/.nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: livehtml
livehtml:
	sphinx-autobuild --ignore "../testing/*" --ignore "*.git/*" --ignore "*.lock" --ignore "*.pyc" --ignore "*.swp" --ignore "*.swpx" --ignore "*.swx" --watch .. --watch ../zeekpkg -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ZeekPackageManager.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ZeekPackageManager.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ZeekPackageManager"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ZeekPackageManager"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== testing/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 		echo "btest was not located in PATH."; \
 		echo "Install it and/or make sure it is in PATH."; \
 		echo "E.g. you could use the following command to install it:"; \
-		echo "\tpip install btest"; \
+		echo "\tpip3 install btest"; \
 		echo ; \
 		exit 1; \
 		}

=== testing/packages/rot13/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.15)
 
 project(Plugin)

=== debian/changelog ===
zkg (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Debian standards version to 4.7.2.0

 -- Robert Haist <rha@debian.org>  Wed, 17 Sep 2025 13:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-git,
                python3-semantic-version,
                python3-setuptools
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: no
 Homepage: https://docs.zeek.org/projects/package-manager
 Vcs-Git: https://salsa.debian.org/bro-team/zkg.git
